Module Epilog
    Public Function StartEpilog() As Byte
        ' TVTT sesji
        console.write("Zamkniecie sesji")
        ZeroMemory(OutDataA, 16, 0)
        ZeroMemory(OutDataB, 16, 0)
        ZeroMemory(InDataA, 16, 0)
        ZeroMemory(InDataB, 16, 0)

        OutKey = OutKey + 1
        OutDataB(TVTTD_CMD) = TVTTC_CLOSE                   ' rozkaz zakoczenia sesji

        TVTT_CalcAuth(OutDataA, OutDataB)                   ' policzenie bloku kontrolnego
        TVTT_CryptBlock(OutDataA, OutKey, SessionKey, TVTT_BLOCK_A, TVTT_PC2T)  ' zaszyfrowanie pierwszego bloku danych
        TVTT_CryptBlock(OutDataB, OutKey, SessionKey, TVTT_BLOCK_B, TVTT_PC2T)  ' zaszyfrowanie drugiego bloku danych
        Status = TVTT_Talk(TokenH, 1, OutKey, OutDataA(0), OutDataB(0), InKey, InDataA(0), InDataB(0))
        If (Status <> 0) Then
            Console.WriteLine(vbTab & vbTab & IntToHex((Status \ 8), 2) & IntToHex((Status And &HFF), 2))
        Else
            Console.WriteLine(vbTab & vbTab & "OK")
        End If
        ' zakoczenie sesji
        Console.Write("Zakonczenie sesji")
        Status = TVTT_EndSession(TokenH)
        If (Status <> 0) Then
            Console.WriteLine(vbTab & vbTab & IntToHex((Status \ 8), 2) & IntToHex((Status And &HFF), 2))
        Else
            Console.WriteLine(vbTab & vbTab & "OK")
        End If
        ' TVTT stpu  Tokenu
        Console.Write("Zamkniecie dostepu  Tokenu")
        Status = TVTT_FreeToken(TokenH)
        If (Status <> 0) Then
            Console.WriteLine(vbTab & IntToHex((Status \ 8), 2) & IntToHex((Status And &HFF), 2))
        Else
            Console.WriteLine(vbTab & "OK")
        End If
        Time = GetTickCount() - Time
        Console.WriteLine("Time " & Int(Time / 1000) & "." & Int(Time / 10) Mod 100)
    End Function
End Module