Module TeleTokenClass
    '*****************************************************************************
    'Klasa polaczenia CTVTTAPI_INT_CON
    '*****************************************************************************

    '*****************************************************************************
    'Klasa pomocnicza CTVTTAPI_Rand
    '*****************************************************************************
    Public Class CTVTTAPI_Rand
        Public Data(15) As Byte

        Public Sub New()
        End Sub

        '*****************************************************************************
        'Konstruktor kopiujcy tabel z odpowiedniej tabeli obiektu klasy poczenia
        '*****************************************************************************
        Public Sub New(ByVal Con As CTVTTAPI_INT_CON)
            CopyTable(Data, Con.Data, 0, 0, 16)
        End Sub

        '*****************************************************************************
        'Destruktor zerujcy dane
        '*****************************************************************************
        Public Sub Free()
            ZeroMemory(Data, 16, 0)
        End Sub

    End Class


    '*****************************************************************************
    'Klasa pomocnicza CTVTTAPI_RandPC
    '*****************************************************************************

    Public Class CTVTTAPI_RandPC
        Public Data(15) As Byte

        Public Sub New()
        End Sub

        '*****************************************************************************
        'Konstruktor kopiujcy tabel z odpowiedniej tabeli obiektu klasy poczenia
        '*****************************************************************************
        Public Sub New(ByVal Con As CTVTTAPI_INT_CON)
            CopyTable(Data, Con.Data, 0, 16, 16)
        End Sub

        '*****************************************************************************
        'Destruktor zerujcy dane
        '*****************************************************************************
        Public Sub Free()
            ZeroMemory(Data, 16, 0)
        End Sub

    End Class

    Public Class CTVTTAPI_RandT
        Public Data(15) As Byte
        Public Sub New()
        End Sub

        '*****************************************************************************
        'Konstruktor kopiujcy tabel z odpowiedniej tabeli obiektu klasy poczenia
        '*****************************************************************************
        Public Sub New(ByVal Con As CTVTTAPI_INT_CON)
            CopyTable(Data, Con.Data, 0, 32, 16)
        End Sub

        '*****************************************************************************
        'Destruktor zerujcy dane
        '*****************************************************************************
        Public Sub Free()
            ZeroMemory(Data, 16, 0)
        End Sub

    End Class

    '*****************************************************************************
    'Klasa pomocnicza CTVTTAPI_Key
    '*****************************************************************************
    Public Class CTVTTAPI_Key
        Public Data(15) As Byte
        Public Sub New()
        End Sub
        Public Sub New(ByVal Con As CTVTTAPI_INT_CON)
            CopyTable(Data, Con.Data, 0, 48, 16)
        End Sub

        '*****************************************************************************
        'Destruktor zerujcy dane
        '*****************************************************************************
        Public Sub Free()
            ZeroMemory(Data, 16, 0)
        End Sub

    End Class
End Module
